import request from '@/utils/request'

// 查询科技奖补项目及资金情况列表
export function listSupplement(query) {
  return request({
    url: '/basicData/xcrTechnologyAwardSupplement/findByPage',
    method: 'get',
    params: query
  })
}

// 查询科技奖补项目及资金情况详细
export function getSupplement(xhCodeId) {
  return request({
    url: '/basicData/xcrTechnologyAwardSupplement/' + xhCodeId,
    method: 'get'
  })
}

// 新增科技奖补项目及资金情况
export function addSupplement(data) {
  return request({
    url: '/basicData/xcrTechnologyAwardSupplement',
    method: 'post',
    data: data
  })
}

// 修改科技奖补项目及资金情况
export function updateSupplement(data) {
  return request({
    url: '/basicData/xcrTechnologyAwardSupplement',
    method: 'put',
    data: data
  })
}

// 删除科技奖补项目及资金情况
export function delSupplement(xhCodeId) {
  return request({
    url: '/basicData/xcrTechnologyAwardSupplement/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delSupplementBatch(ids) {
  return request.post('/basicData/xcrTechnologyAwardSupplement/delete',ids)
}
